Skip to main content
GET
List Entity Links

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<uuid> | null
required

Query Parameters

source_integration_source_id
string<uuid> | null

Filter by source integration source

target_integration_source_id
string<uuid> | null

Filter by target integration source

status
enum<string> | null

Filter by status

Available options:
SUGGESTED,
APPROVED,
REJECTED
link_type
enum<string> | null

Filter by link type Type of entity link based on matching confidence.

Available options:
DETERMINISTIC,
PROBABILISTIC
resource_id
string<uuid> | null
source_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Response

Successful Response

organization_id
string<uuid>
required

Organization that owns this entity link

source_integration_source_id
string<uuid>
required

Integration source containing the source entity

target_integration_source_id
string<uuid>
required

Integration source containing the target entity

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
source_table_id
string<uuid> | null

Source table ID (for DB sources)

source_saas_object_id
string<uuid> | null

Source SaaS object ID (for SaaS sources)

source_column_id
string<uuid> | null

Source column ID (for DB sources)

source_field_id
string<uuid> | null

Source field ID (for SaaS sources)

target_table_id
string<uuid> | null

Target table ID (for DB sources)

target_saas_object_id
string<uuid> | null

Target SaaS object ID (for SaaS sources)

target_column_id
string<uuid> | null

Target column ID (for DB sources)

target_field_id
string<uuid> | null

Target field ID (for SaaS sources)

Type of link (deterministic exact match vs probabilistic)

Available options:
DETERMINISTIC,
PROBABILISTIC
status
enum<string>
default:SUGGESTED

Review status of the entity link

Available options:
SUGGESTED,
APPROVED,
REJECTED
confidence_score
number | null

Confidence score assigned by the linking pipeline (0.0-1.0)

evidence
Evidence · object | null

Supporting evidence and calculations used to create the link